Bug 966507 - SELinux is preventing /usr/sbin/squid from 'read' accesses on the file /var/log/squid/cache.log.
SELinux is preventing /usr/sbin/squid from 'read' accesses on the file /var/l...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:05ce5762bfa4ca7fe32061a41c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 07:42 EDT by Grosswiler Roger
Modified: 2013-05-29 23:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-47.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 23:34:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grosswiler Roger 2013-05-23 07:42:00 EDT
Description of problem:
SELinux is preventing /usr/sbin/squid from 'read' accesses on the file /var/log/squid/cache.log.

*****  Plugin catchall (100. confidence) suggests  ***************************

If sie denken, dass es squid standardmässig erlaubt sein sollte, read Zugriff auf cache.log file zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep squid /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:squid_t:s0
Target Context                system_u:object_r:squid_log_t:s0
Target Objects                /var/log/squid/cache.log [ file ]
Source                        squid
Source Path                   /usr/sbin/squid
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           squid-3.2.9-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-44.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.3-301.fc19.x86_64 #1 SMP Mon
                              May 20 12:50:56 UTC 2013 x86_64 x86_64
Alert Count                   19
First Seen                    2013-05-23 10:52:25 CEST
Last Seen                     2013-05-23 11:34:58 CEST
Local ID                      087e4f72-9c79-411f-b77f-0e3f8ea8543d

Raw Audit Messages
type=AVC msg=audit(1369301698.117:427): avc:  denied  { read } for  pid=823 comm="squid" name="cache.log" dev="vda3" ino=401955 scontext=system_u:system_r:squid_t:s0 tcontext=system_u:object_r:squid_log_t:s0 tclass=file


type=SYSCALL msg=audit(1369301698.117:427): arch=x86_64 syscall=open success=no exit=EACCES a0=7fa4c3da6340 a1=442 a2=1b6 a3=0 items=0 ppid=817 pid=823 auid=4294967295 uid=23 gid=23 euid=23 suid=0 fsuid=23 egid=23 sgid=23 fsgid=23 ses=4294967295 tty=(none) comm=squid exe=/usr/sbin/squid subj=system_u:system_r:squid_t:s0 key=(null)

Hash: squid,squid_t,squid_log_t,file,read

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.3-301.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-05-24 03:24:25 EDT
Has been added.

commit e6fe2f41683871cdca3c3ba9d2ac7bfe86ebdbba
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Tue May 21 13:41:01 2013 +0200

    CHange squid and snmpd to be allowed also write own logs
Comment 2 Fedora Update System 2013-05-29 10:20:04 EDT
selinux-policy-3.12.1-47.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-47.fc19
Comment 3 Fedora Update System 2013-05-29 13:47:01 EDT
Package selinux-policy-3.12.1-47.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-47.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9565/selinux-policy-3.12.1-47.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-29 23:34:02 EDT
selinux-policy-3.12.1-47.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.